## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%{?mingw_package_header}

Name:           mingw-websocketpp
Version:        0.8.2
Release:        %autorelease
Summary:        MinGW compiled websocketpp library

License:        BSD-3-Clause AND Zlib AND MIT
URL:            https://www.zaphoyd.com/websocketpp
Source:         https://github.com/zaphoyd/websocketpp/archive/%{version}.tar.gz#/websocketpp-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-boost

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-boost

%description
WebSocket++ is an open source (BSD license) header only C++ library
that implements RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

# Win32
%package     -n mingw32-websocketpp
Summary:        MinGW compiled websocketpp library for the Win32 target
Requires:       mingw32-boost

%description -n mingw32-websocketpp
MinGW compiled websocketpp library for the Win32 target.

# Win64
%package     -n mingw64-websocketpp
Summary:        MinGW compiled websocketpp library for the Win64 target
Requires:       mingw64-boost

%description -n mingw64-websocketpp
MinGW compiled websocketpp library for the Win64 target.

%prep
%autosetup -p1 -n websocketpp-%{version}

%build
%mingw_cmake

%install
%mingw_make_install

# Libtool files don't need to be bundled
find %{buildroot} -name "*.la" -delete

# Win32
%files -n mingw32-websocketpp
%{mingw32_includedir}/websocketpp/
%{mingw32_prefix}/cmake/

# Win64
%files -n mingw64-websocketpp
%{mingw64_includedir}/websocketpp/
%{mingw64_prefix}/cmake/

%changelog
## START: Generated by rpmautospec
* Fri Jan 19 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.8.2-1
- Upstream release 0.8.2
## END: Generated by rpmautospec
